package ChartSetCustomPattern;

import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.awt.image.BufferedImage;
import java.io.File;

import javax.imageio.ImageIO;

import quadbase.ChartAPI.QbChart;
import quadbase.chart.QbPattern;

public class ChartSetCustomPattern extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			ChartSetCustomPattern chart = new ChartSetCustomPattern();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doChartSetCustomPattern(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doChartSetCustomPattern(this));
	}

	Component doChartSetCustomPattern(Applet parent) {
		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Open the template
		QbChart chart = new QbChart(parent, // container 
				"ChartSetCustomPattern.cht"); // template

		try {
			// Get data colors and set a pattern to the third column
			Color[] dataColors = chart.gethDataPoints().getColors();
			QbPattern dataPattern = new QbPattern(dataColors[2]);
			File customImageFile = new File("Quadbase_Logo.png");
			BufferedImage customImage = ImageIO.read(customImageFile);
			dataPattern.setPatternImage(customImage);
			dataColors[2] = dataPattern;
			chart.gethDataPoints().setColors(dataColors);
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}

		// Show chart in Viewer
		return chart;
	}
}
